Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMesaVolumeRayCastMapper Class Reference

`#include <vtkMesaVolumeRayCastMapper.h>`

Inheritance diagram for vtkMesaVolumeRayCastMapper:

[legend]
Collaboration diagram for vtkMesaVolumeRayCastMapper:

[legend]
List of all members.

## Detailed Description

Mesa subclass that draws the image to the screen.

Date:
  2002/08/22 18:39:30

Revision:
  1.9

This is the concrete implementation of a ray cast mapper - it is responsible for drawing the image to the screen. The remaining functionality all comes from vtkVolumeRayCastMapper

See also:
  vtkVolumeRayCastMapper vtkVolumeMapper

Created by:
  - Avila, Lisa

CVS contributions (if > 5%):
  - Avila, Lisa (66%)
  - Schroeder, Will (11%)
  - Law, Charles (10%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkMesaVolumeRayCastMapper.cxx)`
  - .`h` (`/Rendering/vtkMesaVolumeRayCastMapper.h)`

Definition at line 49 of file vtkMesaVolumeRayCastMapper.h.

## Public Types
typedef vtkVolumeRayCastMapper | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkMesaVolumeRayCastMapper * | New ()
int | IsTypeOf (const char *type)
vtkMesaVolumeRayCastMapper * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMesaVolumeRayCastMapper ()
| ~vtkMesaVolumeRayCastMapper ()
void | RenderTexture (vtkVolume *vol, vtkRenderer *ren)

## Member Typedef Documentation

typedef vtkVolumeRayCastMapper vtkMesaVolumeRayCastMapper::Superclass

| Reimplemented from vtkVolumeRayCastMapper. Definition at line 53 of file vtkMesaVolumeRayCastMapper.h.

## Constructor & Destructor Documentation

vtkMesaVolumeRayCastMapper::vtkMesaVolumeRayCastMapper | ( |  | ) | `[protected]`

vtkMesaVolumeRayCastMapper::~vtkMesaVolumeRayCastMapper | ( |  | ) | `[protected]`

## Member Function Documentation

vtkMesaVolumeRayCastMapper* vtkMesaVolumeRayCastMapper::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkVolumeRayCastMapper.

virtual const char* vtkMesaVolumeRayCastMapper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkVolumeRayCastMapper.

int vtkMesaVolumeRayCastMapper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeRayCastMapper.

virtual int vtkMesaVolumeRayCastMapper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeRayCastMapper.

vtkMesaVolumeRayCastMapper* vtkMesaVolumeRayCastMapper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkVolumeRayCastMapper.

virtual void vtkMesaVolumeRayCastMapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkVolumeRayCastMapper.

void vtkMesaVolumeRayCastMapper::RenderTexture | ( | vtkVolume * | vol,
|  | vtkRenderer * | ren
| ) | `[protected, virtual]`

| Implements vtkVolumeRayCastMapper.

The documentation for this class was generated from the following file:

- Rendering/vtkMesaVolumeRayCastMapper.h